glibmm 2.62.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::ShellError Class Reference
Shell-related Utilities

Exception class for shell utility errors. More...

`#include <glibmm/shell.h>`

Inheritance diagram for Glib::ShellError:
[legend]

## Public Types

## Public Member Functions
| ShellError (Code error_code, const Glib::ustring& error_message)
| ShellError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
| ~Error () noexcept override
| operator bool () const
| Test whether the Error has an underlying instance. More...
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError* | gobject_

## Detailed Description

Exception class for shell utility errors.

## Member Enumeration Documentation

enum Glib::ShellError::Code

Error codes returned by shell functions.

Enumerator
BAD_QUOTING | Mismatched or otherwise mangled quoting.
EMPTY_STRING | String to be parsed was empty.
FAILED | Some other error.

## Constructor & Destructor Documentation

Glib::ShellError::ShellError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Glib::ShellError::ShellError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Glib::ShellError::code | ( |  | ) | const